# Fn<> Chunk
Return the chunk type for an object.

Defined in | <seqan/basic.h>
Signature | `Chunk<TObject>::Type;`

## Template Parameters

`TObject` | The object to query for its chunk type.

## Return Values

`Type` | The chunk type of `TObject`.

## Detailed Description

The default result type (if not overloaded) is Nothing.

#### Dox Sources

    /*!
     * @mfn Chunk
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Return the chunk type for an object.
     *
     * @signature Chunk<TObject>::Type;
     *
     * @tparam TObject The object to query for its chunk type.
     *
     * @return Type The chunk type of <tt>TObject</tt>.
     *
     * The default result type (if not overloaded) is @link Nothing @endlink.
     */